/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IControlegrpacesso;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Controlegrpacesso implements VertxPojo, IControlegrpacesso {

    private static final long serialVersionUID = -1792235095;

    private Integer congrpid;
    private Integer fkconid;
    private Integer fkgrpid;

    public Controlegrpacesso() {}

    public Controlegrpacesso(Controlegrpacesso value) {
        this.congrpid = value.congrpid;
        this.fkconid = value.fkconid;
        this.fkgrpid = value.fkgrpid;
    }

    public Controlegrpacesso(
        Integer congrpid,
        Integer fkconid,
        Integer fkgrpid
    ) {
        this.congrpid = congrpid;
        this.fkconid = fkconid;
        this.fkgrpid = fkgrpid;
    }

    @Override
    public Integer getCongrpid() {
        return this.congrpid;
    }

    @Override
    public Controlegrpacesso setCongrpid(Integer congrpid) {
        this.congrpid = congrpid;
        return this;
    }

    @Override
    public Integer getFkconid() {
        return this.fkconid;
    }

    @Override
    public Controlegrpacesso setFkconid(Integer fkconid) {
        this.fkconid = fkconid;
        return this;
    }

    @Override
    public Integer getFkgrpid() {
        return this.fkgrpid;
    }

    @Override
    public Controlegrpacesso setFkgrpid(Integer fkgrpid) {
        this.fkgrpid = fkgrpid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Controlegrpacesso (");

        sb.append(congrpid);
        sb.append(", ").append(fkconid);
        sb.append(", ").append(fkgrpid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IControlegrpacesso from) {
        setCongrpid(from.getCongrpid());
        setFkconid(from.getFkconid());
        setFkgrpid(from.getFkgrpid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IControlegrpacesso> E into(E into) {
        into.from(this);
        return into;
    }

    public Controlegrpacesso(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
